StrutsInfo (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.scripting
Class StrutsInfo

    java.lang.Object
      org.apache.struts.scripting.StrutsInfo

    public class StrutsInfo

extends Object

Holds Struts objects.

Constructor Summary
`StrutsInfo(ScriptAction action, ActionMapping mapping, ActionForm form, MessageResources res)` Constructor.

Method Summary
`ScriptAction` | `getAction()` Gets the action instance.
`ActionForm` | `getForm()` Gets the action form.
`ActionForward` | `getForward()` Gets the forward object.
`ActionMapping` | `getMapping()` Gets the action mapping.
`MessageResources` | `getMessages()` Gets the message resources.
`void` | `setAction(ScriptAction action)` Sets the action instance.
`void` | `setForm(ActionForm form)` Sets the action form.
`void` | `setForward(ActionForward f)` Sets the action forward object.
`void` | `setForwardName(String f)` Sets the forward name.
`void` | `setMapping(ActionMapping mapping)` Sets the action mapping.
`void` | `setMessages(MessageResources res)` Sets the message resources.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrutsInfo

    public StrutsInfo(ScriptAction action,
                      ActionMapping mapping,
                      ActionForm form,
                      MessageResources res)

  Constructor.

  Parameters:
    `action` - The action instance
    `mapping` - The action mapping
    `form` - The action form
    `res` - The message resources for the current locale

Method Detail

### setForwardName

    public void setForwardName(String f)

  Sets the forward name.

  Parameters:
    `f` - The forward name

### getForward

    public ActionForward getForward()

  Gets the forward object. If none is set, it tries to find the set forward name.

  Returns:
    The action forward

### setForward

    public void setForward(ActionForward f)

  Sets the action forward object.

  Parameters:
    `f` - The action forward

### setForm

    public void setForm(ActionForm form)

  Sets the action form.

  Parameters:
    `form` - The action form

### setMapping

    public void setMapping(ActionMapping mapping)

  Sets the action mapping.

  Parameters:
    `mapping` - The action mapping

### setAction

    public void setAction(ScriptAction action)

  Sets the action instance.

  Parameters:
    `action` - The Struts action

### setMessages

    public void setMessages(MessageResources res)

  Sets the message resources.

  Parameters:
    `res` - The message resources

### getForm

    public ActionForm getForm()

  Gets the action form.

  Returns:
    The action form

### getMapping

    public ActionMapping getMapping()

  Gets the action mapping.

  Returns:
    The action mapping

### getAction

    public ScriptAction getAction()

  Gets the action instance.

  Returns:
    The Struts action

### getMessages

    public MessageResources getMessages()

  Gets the message resources.

  Returns:
    The message resources

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.